; REM Bogenbemasung erzeugen                      

(defun BemBL (/ es en el len)
   (command "_layer" "se" "AM_5" "")	; Standardlayer fr Bemassungen in ACAD 2000i
   (setq es (entsel "Bitte Bogen whlen: "))
   (if es (progn
         (setq en (car es) el (entget en))
         (if (= "ARC" (cdr (assoc 0 el)))
	    (progn
               (setq len (BogenLaenge el))
               (command "_dimangular" es "_text" (strcat "{\\fAMGDT|b0|i0|c0|p2;k}" (rtos len 2)))
	    ) ; progn
            (alert "Achtung: Funktioniert nur mit Bgen!")
            ) ; progn
         ) ; if
   ) ; if
   (princ)
) ; defun

; REM Ermittlung der Bogenlnge fr BEMBL         
;   Umfang Kreis = 2*R*pi                         
;   Lnge Bogen: Umfang/360 = Len/Eingeschl.Winkel
(defun BogenLaenge (el / sw ew w )
   (setq sw (cdr (assoc 50 el))
         ew (cdr (assoc 51 el)))
   (if (> sw ew)
      (setq w (+ ew (- (* pi 2) sw))) 	; sw von 360 Grad abziehen
      (setq w (- ew sw))
   ) ; if
   (* (cdr(assoc 40 el)) w) 		; Mit Radius multiplizieren
) ; defun


(setq Layer_alt (getvar "clayer"))
(BemBL)
; (command "_layer" "se" Layer_alt "")
(princ)
